commoble.looot.data

## Class DataCodecs

- java.lang.Object
- - commoble.looot.data.DataCodecs

    public class DataCodecs
    extends java.lang.Object

### Field Summary

Fields
`static com.mojang.serialization.Codec<net.minecraft.enchantment.Enchantment>` `ENCHANTMENT`

### Constructor Summary

Constructors
Constructor and Description
`DataCodecs()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T extends net.minecraftforge.registries.IForgeRegistryEntry<T>> com.mojang.serialization.Codec<T>` `makeRegistryEntryCodec(net.minecraftforge.registries.IForgeRegistry<T> registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENCHANTMENT

    public static final com.mojang.serialization.Codec<net.minecraft.enchantment.Enchantment> ENCHANTMENT

### Constructor Detail

#### DataCodecs

    public DataCodecs()

### Method Detail

#### makeRegistryEntryCodec

    public static final <T extends net.minecraftforge.registries.IForgeRegistryEntry<T>> com.mojang.serialization.Codec<T> makeRegistryEntryCodec(net.minecraftforge.registries.IForgeRegistry<T> registry)